"""

DESCRIPTION:
    This module provides error number and exception for internal use.
"""

ERRORNO = {'success' : 0,
           'command_error': 1,
           'argument_error' : 2,
           'check_subnet_error': 3,
           'check_eip_error': 4,
           'check_route_table_error': 5,
           'check_az_error' : 6,
           'check_az_information' : 7,
           'check_az_impaired' : 8,
           'check_az_unavailable' : 9,
           'check_route53_record_error' : 20,
           'check_route53_record_ip_error' : 21,
           'check_dns_resolve_error' : 22,
           'check_dns_resolved_ip_error' : 23,
           'timeout_error' : 98,
           'internal_error': 99}

class AWSCLIError(Exception):
    def __init__(self, value, msg, stdouterr=None):
        self.value = value
        self.msg = msg
        self.stdouterr = stdouterr

class CommandError(Exception):
    def __init__(self, value, msg):
        self.value = value
        self.msg = msg
